For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agent tools
      • POSTCreate agent tool
      • GETGet agent tool
      • DELDelete agent tool
      • PATCHUpdate agent tool
Status
LogoLogo
API ReferenceAgent Tools

Create agent tool

POST
https://app.resemble.ai/api/v2/agents/:agent_uuid/tools
POST
/api/v2/agents/:agent_uuid/tools
$curl -X POST https://app.resemble.ai/api/v2/agents/agent_uuid/tools \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string",
> "description": "string",
> "tool_type": "webhook",
> "tool_config": {}
>}'
200Successful
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Create a new tool for an agent
Was this page helpful?
Previous

Get agent tool

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringRequired
descriptionstringRequired
tool_typeenumRequired
Allowed values:
tool_configobjectRequired

Response

Tool created
successboolean
itemobject
messagestring